net.dontdrinkandroot.lastfm.api.util

## Class UserFriendsPaginatedFetcher

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.util.UserFriendsPaginatedFetcher

All Implemented Interfaces:
  PaginatedFetcher<List<User>>

    public class UserFriendsPaginatedFetcher
    extends Object
    implements PaginatedFetcher<List<User>>

### Constructor Summary

Constructors
Constructor and Description
`UserFriendsPaginatedFetcher(String userName)`

### Method Summary

Methods
`GenericPaginatedResult<List<User>>` `fetchNextPage(LastfmWebServices ws, PaginatedResult<List<User>> paginatedResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserFriendsPaginatedFetcher

    public UserFriendsPaginatedFetcher(String userName)

### Method Detail

#### fetchNextPage

    public final GenericPaginatedResult<List<User>> fetchNextPage(LastfmWebServices ws,
                                                   PaginatedResult<List<User>> paginatedResult)
                                                           throws LastfmWebServicesException

Specified by:
  `fetchNextPage` in interface `PaginatedFetcher<List<User>>`
Throws:
  `LastfmWebServicesException`